Index: java/main/src/test/java/com/framsticks/core/ListChangeTest.java
===================================================================
--- java/main/src/test/java/com/framsticks/core/ListChangeTest.java	(revision 101)
+++ java/main/src/test/java/com/framsticks/core/ListChangeTest.java	(revision 102)
@@ -7,5 +7,5 @@
 
 import com.framsticks.core.ListChange.Action;
-import com.framsticks.params.AccessOperations;
+import static com.framsticks.params.AccessOperations.*;
 import com.framsticks.params.FramsClass;
 import com.framsticks.params.ListSink;
@@ -40,5 +40,5 @@
 	public void testFramsClass() {
 		framsClass = FramsClass.build().forClass(ListChange.class);
-		assertThat(framsClass.getParamCount()).isEqualTo(3);
+		assertThat(framsClass.getParamCount()).isEqualTo(4);
 	}
 
@@ -60,6 +60,6 @@
 
 	@Test(dependsOnMethods = "createReflectionAccess")
-	public void load() throws Exception {
-		AccessOperations.load(access.select(listChange), ListSource.createFrom("type:2", "pos:0", "id:test"));
+	public void loading() throws Exception {
+		load(access.select(listChange), ListSource.createFrom("type:2", "pos:0", "id:test"));
 
 		assertThat(listChange.action).isEqualTo(Action.Modify);
@@ -68,5 +68,5 @@
 
 		ListSink sink = new ListSink();
-		access.select(listChange).save(sink);
+		save(access.select(listChange), sink);
 		assertThat(sink.getOut()).isEqualTo(Arrays.asList("ListChange:", "type:2", "pos:0", "id:test", ""));
 	}
Index: java/main/src/test/java/com/framsticks/gui/console/DirectConsoleTest.java
===================================================================
--- java/main/src/test/java/com/framsticks/gui/console/DirectConsoleTest.java	(revision 101)
+++ java/main/src/test/java/com/framsticks/gui/console/DirectConsoleTest.java	(revision 102)
@@ -20,12 +20,9 @@
 	protected Joinable createSubject() {
 
-		connection = new ClientSideRawConnection();
-		connection.setAddress(new Address("localhost:9009"));
-
-		console = new DirectConsole().setConnection(connection);
+		console = new DirectConsole().setAddress(new Address("localhost:9009"));
 		joinables = new JoinableCollection<>();
 		joinables.setObservableName("connection and console");
 		joinables.add(console);
-		joinables.add(connection);
+		joinables.add(console.getConnection());
 
 		return joinables;
Index: java/main/src/test/java/com/framsticks/test/MonitorBasedTest.java
===================================================================
--- java/main/src/test/java/com/framsticks/test/MonitorBasedTest.java	(revision 101)
+++ java/main/src/test/java/com/framsticks/test/MonitorBasedTest.java	(revision 102)
@@ -30,5 +30,5 @@
 	}
 
-	@AfterClass(timeOut = 3000)
+	@AfterClass(timeOut = 30000)
 	public void tearDown() {
 		monitor.drop().join();
Index: java/main/src/test/java/com/framsticks/test/PrimeExperimentTest.java
===================================================================
--- java/main/src/test/java/com/framsticks/test/PrimeExperimentTest.java	(revision 101)
+++ java/main/src/test/java/com/framsticks/test/PrimeExperimentTest.java	(revision 102)
@@ -6,15 +6,33 @@
 
 import com.framsticks.core.XmlBasedTest;
+import com.framsticks.util.dispatching.Dispatching;
+import com.framsticks.util.dispatching.StackedJoinable;
+
+import org.apache.logging.log4j.Logger;
+import org.apache.logging.log4j.LogManager;
 
 @Test
 public class PrimeExperimentTest extends XmlBasedTest {
 
+	private static final Logger log = LogManager.getLogger(PrimeExperimentTest.class);
+
 	protected PrimeExperiment experiment;
+
 
 	@Test
 	public void start() {
+		log.debug("starting");
 		assertThat(framsticks).isNotNull();
-		assertThat(framsticks.get("prime")).isInstanceOf(PrimeExperiment.class);
-		experiment = (PrimeExperiment) framsticks.get("prime");
+		assertThat(framsticks.size()).isEqualTo(1);
+		assertThat(framsticks.get("stacked")).isInstanceOf(StackedJoinable.class);
+		StackedJoinable stacked = (StackedJoinable) framsticks.get("stacked");
+
+		assertThat(stacked.size()).isEqualTo(2);
+		assertThat(stacked.get(1)).isInstanceOf(PrimeExperiment.class);
+		// assertThat(framsticks.get("prime")).isInstanceOf(PrimeExperiment.class);
+		// experiment = (PrimeExperiment) framsticks.get("prime");
+		//
+		Dispatching.sleep(3);
 	}
+
 }
Index: java/main/src/test/java/com/framsticks/test/prime/PrimePackageTest.java
===================================================================
--- java/main/src/test/java/com/framsticks/test/prime/PrimePackageTest.java	(revision 102)
+++ java/main/src/test/java/com/framsticks/test/prime/PrimePackageTest.java	(revision 102)
@@ -0,0 +1,25 @@
+package com.framsticks.test.prime;
+
+// import static org.fest.assertions.Assertions.*;
+
+import org.testng.annotations.Test;
+
+import com.framsticks.test.TestConfiguration;
+
+@Test
+public class PrimePackageTest extends TestConfiguration {
+
+
+
+
+	@Test
+	public void printPrimePackage() {
+	}
+	// ExpParams:
+	// from_number:100
+	// to_number:200
+
+	// ExpState:
+	// current_number:201
+	// result:151,157,163,167,173,179,181,191,193,197,199
+}
Index: java/main/src/test/resources/configs/PrimeExperimentTest.xml
===================================================================
--- java/main/src/test/resources/configs/PrimeExperimentTest.xml	(revision 101)
+++ java/main/src/test/resources/configs/PrimeExperimentTest.xml	(revision 102)
@@ -3,5 +3,22 @@
 	<import class="com.framsticks.test.PrimeExperiment" />
 	<import class="com.framsticks.experiment.Simulator" />
-	<PrimeExperiment name="prime">
-	</PrimeExperiment>
+	<import class="com.framsticks.util.dispatching.StackedJoinable" />
+	<import class="com.framsticks.util.dispatching.JoinableCollection" />
+	<import class="com.framsticks.running.LoggingOutputListener" />
+	<import class="com.framsticks.running.FramsServer" />
+	<import class="com.framsticks.experiment.SimulatorConnector" />
+	<StackedJoinable interval="1">
+		<JoinableCollection name="servers">
+			<FramsServer name="frams" port="9100" expdef="prime">
+				<LoggingOutputListener />
+			</FramsServer>
+			<FramsServer name="frams" port="9101" expdef="prime">
+				<LoggingOutputListener />
+			</FramsServer>
+		</JoinableCollection>
+		<PrimeExperiment>
+			<SimulatorConnector address="localhost:9100" />
+			<SimulatorConnector address="localhost:9101" />
+		</PrimeExperiment>
+	</StackedJoinable>
 </Framsticks>
Index: java/main/src/test/resources/configs/ServerTest.xml
===================================================================
--- java/main/src/test/resources/configs/ServerTest.xml	(revision 101)
+++ java/main/src/test/resources/configs/ServerTest.xml	(revision 102)
@@ -6,9 +6,9 @@
 	<import class="com.framsticks.test.TestClass" />
 	<import class="com.framsticks.running.LoggingOutputListener" />
-	<Server port="9007">
+	<Server port="9006">
 		<LocalTree name="test">
 			<TestClass name="a test name" />
 		</LocalTree>
 	</Server>
-	<RemoteTree name="remote" address="localhost:9007" />
+	<RemoteTree name="remote" address="localhost:9006" />
 </Framsticks>
Index: java/main/src/test/resources/log4j2.xml
===================================================================
--- java/main/src/test/resources/log4j2.xml	(revision 101)
+++ java/main/src/test/resources/log4j2.xml	(revision 102)
@@ -7,6 +7,13 @@
 	</appenders>
 	<loggers>
-		<logger name="com.framsticks" level="warn" />
+		<logger name="com.framsticks" level="info" />
+		<logger name="com.framsticks.running.ExternalProcess" level="debug" />
 		<logger name="com.framsticks.test.TestConfiguration" level="info" />
+		<logger name="com.framsticks.experiment" level="debug" />
+		<logger name="com.framsticks.test.PrimeExperiment" level="debug" />
+		<!-- <logger name="com.framsticks.util.dispatching.AbstractJoinable" level="debug" /> -->
+		<!-- <logger name="com.framsticks.util.dispatching.AbstractJoinable.Report" level="info" /> -->
+		<!-- <logger name="com.framsticks.util.dispatching.Monitor" level="debug" /> -->
+		<!-- <logger name="com.framsticks.util.dispatching.StackedJoinable" level="debug" /> -->
 		<root level="info">
 			<appender-ref ref="Console"/>
